<?php

// BANCOS
{

function ch_gnc($ctab,$fecha1,$fecha2)
{
  include('../_cfg/config.php');
   $sql_ch10 ='select *, sum(tcant) as stcant ';
   $sql_ch10.=' from bcos12 where status!="O" ';
   $sql_ch10.=' and fecha between "'.$fecha1.'" and "'.$fecha2.'" ';
   $sql_ch10.=' and docu like "CH%" and (fcobro="" or fcobro is null)';
   $res_ch10=msql_query($sql_ch10,$link_vcrx);
}
   
function sal_ctab($ctab,$fecha1,$fecha2)
{
  include('../_cfg/config.php');

  $fecha0=fecha_modu('bcos');   
//      echo '<br>*/*/*'.$ctab;
//      echo '<br>*/*/*'.$fecha0;
//      echo '<br>*/*/*'.$fecha1;
//      echo '<br>*/*/*'.$fecha2;
     
   $sql_sald='select bcos12.*, ';
   $sql_sald.='sum(case when fecha<"'.$fecha1.'" then tcant end) as saldoi, ';
   $sql_sald.='sum(case when fecha>="'.$fecha1.'" and fecha<="'.$fecha2.'" then tdebito end) as stdebito, ';
   $sql_sald.='sum(case when fecha>="'.$fecha1.'" and fecha<="'.$fecha2.'" then tcredito end) as stcredito, ';
   $sql_sald.=' 1 as detalle ';
   $sql_sald.=' from bcos12  ';
   $sql_sald.=' where status!="O" ';
   $sql_sald.=' and fecha>="'.$fecha0.'" ';
   $sql_sald.=' and ctab = "'.$ctab.'" ';
   $res_sald=msql_query($sql_sald,$link_vcrx);
//      echo '<br>*/*/*'.$sql_sald;
   
   $xsaldo=array();
   $xsaldo[1]=msql_result($res_sald,0,'saldoi');
   $xsaldo[2]=msql_result($res_sald,0,'stdebito');
   $xsaldo[3]=msql_result($res_sald,0,'stcredito');
   $xsaldo[4]=$xsaldo[1]+$xsaldo[2]-$xsaldo[3];

   
   $sql_sald='select retc12.*, ';
//    $sql_sald.='0 as saldoi, ';
   $sql_sald.='sum(case when fecha<"'.$fecha1.'" then tcredito end) as saldoi, ';
   $sql_sald.='0 as stdebito, ';
//    $sql_sald.='sum(case when fecha>="'.$fecha1.'" and fecha<="'.$fecha2.'" then tdebito end) as stdebito, ';
   $sql_sald.='sum(case when fecha>="'.$fecha1.'" and fecha<="'.$fecha2.'" then tcredito end) as stcredito, ';
   $sql_sald.=' 1 as detalle ';
   $sql_sald.=' from retc12  ';
   $sql_sald.=' where status!="O" ';
   $sql_sald.=' and ctab="'.$ctab.'" ';
   $sql_sald.=' and fecha>="'.$fecha0.'" ';
   $sql_sald.=' and docu like "RBCO" ';
   $res_sald=msql_query($sql_sald,$link_vcrx);
     
//      echo $sql_sald;
   if(msql_num_rows($res_sald)!=0)
   {
      $xsaldo[1]=$xsaldo[1] -msql_result($res_sald,0,'saldoi');
      $xsaldo[3]=$xsaldo[3] +msql_result($res_sald,0,'stcredito');
      $xsaldo[4]=$xsaldo[1]+$xsaldo[2]-$xsaldo[3];
   }
   
//      echo '<br>*/*/'.$xsaldo[1];
//      echo '<br>*/*/'.$xsaldo[2];
//      echo '<br>*/*/'.$xsaldo[3];
//      echo '<br>*/*/'.$xsaldo[4];
     
   return $xsaldo;
   
}
   
   
   
  function reg_ch10($idnum)
  {
    if($idnum==""){return;}
    include('../_cfg/config.php');


    $sql_info ='update bcos2 ';
    $sql_info.='set ';
    $sql_info.='docum="FP10" ';
    $sql_info.='where idnum2=idnum2 ';
    $sql_info.='and docum="FC10" ';
    $sql_info.='and idnum2="'.$idnum.'"';
    $res_info =msql_query($sql_info,$link_vcrx);

  }
  
  
  
  
  function reg_caba13($idnum)
  {
  }
  
  
  
  
  function reg_pr10($idnum)
  {
    if($idnum==""){return;}
    include('../_cfg/config.php');


    $sql_info ='update bcos1,bcos2 ';
    $sql_info.='set ';
    $sql_info.='ptoem="001001" ';
    $sql_info.='numer="000000000" ';
    $sql_info.='where idnum1=idnum2 ';
    $sql_info.='and docu like "PR%" ';
    $sql_info.='and idnum2="'.$idnum.'"';
//     $res_info =msql_query($sql_info,$link_vcrx);

  }
  
  function upl_ecta($file_ecta)
  {
    $file_ecta='12006654245_042820195431.xls';
    if(!file_exists($file_ecta)){return;}
    
    include('simplexlsx.class.php'); 
    
    
    $xlsx = new SimpleXLSX($destino);
    $hojas=	$xlsx->sheetNames();


    for( $choja = 0; $choja <= count($hojas); $choja++)
    {
    // 	echo $hojas[$choja];
    // 	echo "\n";

      $ctab='B001';
      
    // 	if(mb_stristr($hojas[$choja],'12006654245'))
      {
              $xfila=$xlsx->rows($choja);
              $numrows=count($xfila);
    //           $numrows=10;

          // produbanco cabcera fila 10

              $row_head=10;
              $xcabe= $xfila[$row_head];
              for( $ccolu = 0; $ccolu <= count($xcabe); $ccolu++)
              {
                   if($xcabe[$ccolu]=='FECHA'){$col_fecha=$ccolu;}
                   if($xcabe[$ccolu]=='REFERENCIA'){$col_refer1=$ccolu;} 
                    // produbanco
                    //numero papelta deposito
                   if($xcabe[$ccolu]=='REFERENCIA2'){$col_refer2=$ccolu;}
                   if($xcabe[$ccolu]=='DESCRIPCION'){$col_concepto=$ccolu;}
                   if($xcabe[$ccolu]=='+/-'){$col_signo=$ccolu;}
                   if($xcabe[$ccolu]=='VALOR'){$col_cantidad=$ccolu;}
                   if($xcabe[$ccolu]=='OFICINA'){$col_detalle=$ccolu;}
                   if($xcabe[$ccolu]=='COD TRANSACCION'){$col_codtran=$ccolu;}
              }

              for( $cfila = $row_head; $cfila <= $numrows; $cfila++)
              {
                echo '<br>'.date('H:i:s');
                 $xregi= $xfila[$cfila];
                 $celular=(trim($xregi[$col_celular]));
                 $celular=str_replace('-','',$celular);
                 $celular=str_replace('+','',$celular);
                 $celular=fillzero($celular,10);
                 if(substr($celular,0,3)=='593'){$celular=substr($celular,3,10);}
                 $wsapp=$celular;

                 $telefono=(trim($xregi[$col_telefono]));
                 $telefono=str_replace('-','',$telefono);
                 $telefono=str_replace('+','',$telefono);
                 $telefono=fillzero($telefono,10);

                $nacimiento=$xregi[$col_edad];
                $nacimiento=2019-$nacimiento;
                $nacimiento=$nacimiento;
                $bautismo=$xregi[$col_bautizado];
                $bautismo=2019-$bautismo;
                $bautismo=$bautismo;

                $sexo=1;
                if($col_sexo=='Female'){$sexo=2;}

                $congprov='';
                 $congcity=(trim($xregi[$col_congcity]));
                 $congname=(trim($xregi[$col_congname]));
                   $congfull=$congname;
                 if(mb_stristr($congfull,','))
                 {
                   $congname=trim(substr($congfull,0,strpos($congfull,',')));
                   $congcity=trim(substr($congfull,strposX($congfull,',',1)+1,100));
                   $congcity=substr($congcity,0,strpos($congcity,','));
                   $congprov=trim(substr($congfull,strposX($congfull,',',2)+1,100));
                 }


                 $descri=(trim($xregi[$col_descri]));
                 $disponible=($xregi[$col_disponible]);

                 $profesion=(trim($xregi[$col_profesion]));
                 $privilegio=(trim($xregi[$col_privilegio]));

                 $pais='ECUA';
                 $clave='';

                   $sql_ppto='select * from ppto0 where ppto_celular="'.$celular.'"';
                   $res_ppto=msql_query($sql_ppto,$link_vcrx);
                   $ppto_codigo=@msql_result($res_ppto,0,'ppto_codigo');
    //                echo explain_sql($sql_ppto);
                     echo '<br>***'.msql_error($link_vcrx).$ppto_codigo.'-'.$celular.'-'.$descri;

                   if($ppto_codigo=='')
                   {
                     $sql_inse='insert into ppto0(ppto_celular,ppto_idate)value("'.$celular.'",now())';
                     $res_inse=msql_query($sql_inse,$link_vcrx);
    //                  echo '<br>*/*/*/'.msql_error($link_vcrx);
                   }
                else{ echo '<br>=='.$celular;}

                     $res_ppto=msql_query($sql_ppto,$link_vcrx);
                     $ppto_codigo=msql_result($res_ppto,0,'ppto_codigo');

    //                  $sql_updt='update ppto0 set ppto_idate=now() where ppto_codigo="'.$ppto_codigo.'"';
    //                  $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_descri="'.$descri.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_ciudad="'.$congcity.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_provincia="'.$congprov.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_congname="'.$congname.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);
    //             echo '*/*/*'.msql_error($link_vcrx).$sql_updt;

                     $sql_updt='update ppto0 set ppto_telefono="'.$telefono.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_nacimiento="'.$nacimiento.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_bautizo="'.$bautismo.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_sexo="'.$sexo.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_disponible="'.$disponible.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_profesion="'.$profesion.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt='update ppto0 set ppto_privilegio="'.$privilegio.'" where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);


                    $disp=explode(',',$disponible);
    //             echo '==='.count($disp);
                    for($cdisp=0; $cdisp<=30; $cdisp++)
                    {
                      $xdisp=$cdisp-6;
                       $sql_updt='update ppto0 set ppto_d'.fillzero($xdisp+14,2).'="0" where ppto_codigo="'.$ppto_codigo.'"';
                       $res_updt=msql_query($sql_updt,$link_vcrx);
                       $sql_updt='update ppto0 set ppto_e'.fillzero($xdisp+14,2).'="0" where ppto_codigo="'.$ppto_codigo.'"';
                       $res_updt=msql_query($sql_updt,$link_vcrx);
                    }
                    for($cdisp=0; $cdisp<=count($disp); $cdisp++)
                    {
                       $xdispde='d';
                       if(mb_stristr($disp[$cdisp],'e')){$xdispde='e';}
                       $xdisp=$disp[$cdisp];
                       $sql_updt='update ppto0 set ppto_'.$xdispde.fillzero($xdisp+14,2).'="1" where ppto_codigo="'.$ppto_codigo.'"';
                       $res_updt=msql_query($sql_updt,$link_vcrx);
                    }




                 }

      }


      if(mb_stristr($hojas[$choja],'SEGURIDAD'))
      {
              $xfila=$xlsx->rows($choja);
              $numrows=count($xfila);

              $xcabe= $xfila[0];
              for( $ccolu = 0; $ccolu <= count($xcabe); $ccolu++)
              {
                   if($xcabe[$ccolu]=='G#'){$col_grupo=$ccolu;}
                   if($xcabe[$ccolu]=='APELLIDOS Y NOMBRES'){$col_descri=$ccolu;}
                   if($xcabe[$ccolu]=='ASIG'){$col_actividad=$ccolu;}
                   if($xcabe[$ccolu]=='GEN'){$col_sexo=$ccolu;}
                   if($xcabe[$ccolu]=='CEDULA DE CIUDADANIA'){$col_cedula=$ccolu;}
                   if($xcabe[$ccolu]=='BAUTIZADO'){$col_bautizo=$ccolu;}
                   if($xcabe[$ccolu]=='EDAD'){$col_edad=$ccolu;}
                   if($xcabe[$ccolu]=='CIUDAD'){$col_ciudad=$ccolu;}
                   if($xcabe[$ccolu]=='DIRECCION'){$col_direccion=$ccolu;}
                   if($xcabe[$ccolu]=='CONGREGACION'){$col_congname=$ccolu;}
                   if($xcabe[$ccolu]=='PRIVILEGIO'){$col_privilegio=$ccolu;}
                   if($xcabe[$ccolu]=='CELULAR'){$col_celular=$ccolu;}
                   if($xcabe[$ccolu]=='ESTATURA'){$col_estatura=$ccolu;}
                   if($xcabe[$ccolu]=='PESO'){$col_peso=$ccolu;}
                   if($xcabe[$ccolu]=='PROBLEMAS CARDIACOS'){$col_cardiaco=$ccolu;}
                   if($xcabe[$ccolu]=='PROBLEMAS RESPIRATORIOS'){$col_respiratorio=$ccolu;}
                   if($xcabe[$ccolu]=='LESIONES'){$col_lesiones=$ccolu;}
                   if($xcabe[$ccolu]=='DISCAPACIDAD'){$col_discapacidad=$ccolu;}
                   if($xcabe[$ccolu]=='CAPACIDAD RESPUESTA'){$col_caprespuesta=$ccolu;}
                   if($xcabe[$ccolu]=='CORREO ELECTRONICO'){$col_email=$ccolu;}
                   if($xcabe[$ccolu]=='OBSERVACIONES'){$col_observaciones=$ccolu;}
              }

              for( $cfila = 1; $cfila <= $numrows; $cfila++)
              {
                echo '<br>'.date('H:i:s');
                 $xregi= $xfila[$cfila];

                 $cedula=(trim($xregi[$col_cedula]));
                 $cedula=str_replace('-','',$cedula);


                 $celular=(trim($xregi[$col_celular]));
                 $celular=str_replace('-','',$celular);
                 $celular=str_replace('+','',$celular);
                 $celular=fillzero($celular,10);
                 if(substr($celular,0,3)=='593'){$celular=substr($celular,3,10);}
                 $wsapp=$celular;

                $nacimiento=$xregi[$col_edad];
                $nacimiento=2019-$nacimiento;
                $nacimiento=$nacimiento;
                $bautismo=$xregi[$col_bautizado];
                $bautismo=2019-$bautismo;
                $bautismo=$bautismo;

                $estatura=$xregi[$col_estatura]*1;
                if($estatura>0)
                {while($estatura<50){$estatura=$estatura*10;}}

                $peso=$col_peso;
    //             do while($peso<){$estatura=$estatura*10;}

                $sexo=1;
                if($xregi[$col_sexo]=='M'){$sexo=2;}



                 $descri=(trim($xregi[$col_descri]));
                 $disponible=($xregi[$col_disponible]);
                 $pais='ECUA';
                 $clave='';
    //             md5()

                $grupo_seg=$xregi[$col_grupo];
                if(mb_stristr($grupo_seg,'_'))
                {$grupo_seg='19-'.fillzero(substr($grupo_seg,0,strpos($grupo_seg,'_')-0),2);}
                else
                {$grupo_seg='18-'.fillzero($grupo_seg,2);}


                echo '<br>'.$cedula.' - '.$descri.'-'.$grupo_seg;

                 $ppto_codigo='';
                 if($cedula!="")
                 {
                   $sql_ppto='select * from ppto0 where ppto_cedularuc="'.$cedula.'"';
                   $res_ppto=msql_query($sql_ppto,$link_vcrx);
                   $ppto_codigo=@msql_result($res_ppto,0,'ppto_codigo');
                 }

                 if($ppto_codigo=='')
                 {
                   $sql_ppto='select * from ppto0 where ppto_celular="'.$celular.'"';
                   $res_ppto=msql_query($sql_ppto,$link_vcrx);
                   $ppto_codigo=@msql_result($res_ppto,0,'ppto_codigo');
                 }

                   if($ppto_codigo=='')
                   {
                     $sql_inse='insert into ppto0(ppto_celular,ppto_cedularuc,ppto_idate,ppto_status)value("'.$celular.'","'.$cedula.'",now(),"-")';
                     $res_inse=msql_query($sql_inse,$link_vcrx);
    //                  echo '<br>*/*/*/'.msql_error($link_vcrx);
                   }
    //               else{ echo '<br>=='.$celular;}

                     $res_ppto=msql_query($sql_ppto,$link_vcrx);
                     $ppto_codigo=msql_result($res_ppto,0,'ppto_codigo');

    //                  $sql_updt='update ppto0 set ppto_idate=now() where ppto_codigo="'.$ppto_codigo.'"';
    //                  $res_updt=msql_query($sql_updt,$link_vcrx);

                     $sql_updt ='update ppto0 set';
                     $sql_updt.=' ppto_descri="'.$descri.'",';
                     $sql_updt.=' ppto_sexo="'.$sexo.'",';
                     $sql_updt.=' ppto_grupo_seg="'.$grupo_seg.'",';
                     $sql_updt.=' ppto_estatura_cm="'.$estatura.'",';
                     $sql_updt.=' ppto_peso_lb="'.$peso.'",';
                     $sql_updt.=' ppto_ciudad="'.$congcity.'",';
                     $sql_updt.=' ppto_congcity="'.$congcity.'",';
                     $sql_updt.=' ppto_congname="'.$congname.'",';
                     $sql_updt.=' ppto_disponible="'.$disponible.'",';
                     $sql_updt.=' ppto_status=ppto_status';
                     $sql_updt.=' where ppto_codigo="'.$ppto_codigo.'"';
                     $res_updt=msql_query($sql_updt,$link_vcrx);


                    $disp=explode(',',$disponible);
    //             echo '==='.count($disp);
    //                 for($cdisp=0; $cdisp<=30; $cdisp++)
    //                 {
    //                   $xdisp=$cdisp-6;
    //                    $sql_updt='update ppto0 set ppto_d'.fillzero($xdisp+14,2).'="0" where ppto_codigo="'.$ppto_codigo.'"';
    //                    $res_updt=msql_query($sql_updt,$link_vcrx);
    //                    $sql_updt='update ppto0 set ppto_e'.fillzero($xdisp+14,2).'="0" where ppto_codigo="'.$ppto_codigo.'"';
    //                    $res_updt=msql_query($sql_updt,$link_vcrx);
    //                 }
    //                 for($cdisp=0; $cdisp<=count($disp); $cdisp++)
    //                 {
    //                    $xdispde='d';
    //                    if(mb_stristr($disp[$cdisp],'e')){$xdispde='e';}
    //                    $xdisp=$disp[$cdisp];
    //                    $sql_updt='update ppto0 set ppto_'.$xdispde.fillzero($xdisp+14,2).'="1" where ppto_codigo="'.$ppto_codigo.'"';
    //                    $res_updt=msql_query($sql_updt,$link_vcrx);
    //                 }




                 }

      }



    }


  
    
    
    
  }  
  
  
}


?>